<?php
namespace Fifa\ConnectId\Sdk\ApiClient\Async;

/**
 * Class NaiveWaitTimeStrategy
 * @package Fifa\ConnectId\Sdk\ApiClient\Async
 */
class NaiveWaitTimeStrategy implements WaitTimeStrategyInterface
{
    /**
     * @param int $attempt
     * @return int - microseconds
     */
    public function next(int $attempt): int
    {
        return $attempt == 1 ? 500000 : 100000;
    }

    /**
     * @param int $totalWaitTimeSeconds
     * @return void
     */
    public function feedback(int $totalWaitTimeSeconds)
    {
    }
}